import * as _nuxt_schema from '@nuxt/schema';

interface ModuleOptionsPrivate {
    LoadSnipcart?: Function;
    isBeforeV3_4?: boolean;
    isLoaded?: boolean;
    events?: string[];
}
interface ModuleOptions extends ModuleOptionsPrivate {
    version: string;
    publicApiKey: string;
    timeoutDuration: number;
    domain: string;
    protocol: string;
    loadCSS: boolean;
    loadStrategy: "" | "on-user-interaction" | "manual";
    addProductBehavior: "" | "none";
    modalStyle: "" | "side";
    language: string;
    templatesUrl: string;
    currency: string;
}
declare global {
    interface Window {
        SnipcartSettings: ModuleOptions;
        Snipcart: any;
    }
}
declare const _default: _nuxt_schema.NuxtModule<ModuleOptions>;

export { ModuleOptions, _default as default };
