export const useSnipcart = () => {
  const customFields = (customFields2) => {
    const fields = {};
    customFields2.forEach((field, index) => {
      if (typeof field !== "object") {
        throw new TypeError("each customFields field should be an object");
      }
      Object.keys(field).forEach((key) => {
        const fieldKey = `data-item-custom${index + 1}-${key.toString().toLowerCase()}`;
        fields[fieldKey] = field[key];
      });
    });
    return fields;
  };
  const getInstance = () => {
    if (!process.client) {
      console.error("it looks you are trying to call this function on the server");
    }
    if (!window.Snipcart) {
      console.error("it looks snipcart is still not loaded make sure you have loaded the JS");
    }
    return window.Snipcart;
  };
  const bindProduct = (product) => {
    const fields = {};
    if (typeof product !== "object") {
      throw new TypeError("Product should be an object");
    }
    Object.keys(product).forEach((key) => {
      fields[`data-item-${key.toString().toLowerCase()}`] = product[key];
    });
    return fields;
  };
  const setCurrency = (currency) => {
    getInstance().api.session.setCurrency(currency);
  };
  const setLanguage = (lang, options = {}) => {
    getInstance().api.session.setLanguage(lang, options);
  };
  const getSettings = () => {
    if (!process.client) {
      console.error("it looks you are trying to call this function on the server");
    }
    return window.SnipcartSettings;
  };
  return {
    bindProduct,
    getInstance,
    customFields,
    getSettings,
    setCurrency,
    setLanguage
  };
};
